<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_AdditionalElements StructType
 * @subpackage Structs
 */
class JP_AdditionalElements extends AbstractStructBase
{
    /**
     * The Fees
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString3
     */
    public $Fees;
    /**
     * The Bags
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Bag
     */
    public $Bags;
    /**
     * The CreditCardFee
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CreditCardFee
     */
    public $CreditCardFee;
    /**
     * The FlightSupplements
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_FlightSupplement
     */
    public $FlightSupplements;
    /**
     * Constructor method for JP_AdditionalElements
     * @uses JP_AdditionalElements::setFees()
     * @uses JP_AdditionalElements::setBags()
     * @uses JP_AdditionalElements::setCreditCardFee()
     * @uses JP_AdditionalElements::setFlightSupplements()
     * @param \ArrayType\ArrayOfString3 $fees
     * @param \ArrayType\ArrayOfJP_Bag $bags
     * @param \StructType\JP_CreditCardFee $creditCardFee
     * @param \ArrayType\ArrayOfJP_FlightSupplement $flightSupplements
     */
    public function __construct(\ArrayType\ArrayOfString3 $fees = null, \ArrayType\ArrayOfJP_Bag $bags = null, \StructType\JP_CreditCardFee $creditCardFee = null, \ArrayType\ArrayOfJP_FlightSupplement $flightSupplements = null)
    {
        $this
            ->setFees($fees)
            ->setBags($bags)
            ->setCreditCardFee($creditCardFee)
            ->setFlightSupplements($flightSupplements);
    }
    /**
     * Get Fees value
     * @return \ArrayType\ArrayOfString3|null
     */
    public function getFees()
    {
        return $this->Fees;
    }
    /**
     * Set Fees value
     * @param \ArrayType\ArrayOfString3 $fees
     * @return \StructType\JP_AdditionalElements
     */
    public function setFees(\ArrayType\ArrayOfString3 $fees = null)
    {
        $this->Fees = $fees;
        return $this;
    }
    /**
     * Get Bags value
     * @return \ArrayType\ArrayOfJP_Bag|null
     */
    public function getBags()
    {
        return $this->Bags;
    }
    /**
     * Set Bags value
     * @param \ArrayType\ArrayOfJP_Bag $bags
     * @return \StructType\JP_AdditionalElements
     */
    public function setBags(\ArrayType\ArrayOfJP_Bag $bags = null)
    {
        $this->Bags = $bags;
        return $this;
    }
    /**
     * Get CreditCardFee value
     * @return \StructType\JP_CreditCardFee|null
     */
    public function getCreditCardFee()
    {
        return $this->CreditCardFee;
    }
    /**
     * Set CreditCardFee value
     * @param \StructType\JP_CreditCardFee $creditCardFee
     * @return \StructType\JP_AdditionalElements
     */
    public function setCreditCardFee(\StructType\JP_CreditCardFee $creditCardFee = null)
    {
        $this->CreditCardFee = $creditCardFee;
        return $this;
    }
    /**
     * Get FlightSupplements value
     * @return \ArrayType\ArrayOfJP_FlightSupplement|null
     */
    public function getFlightSupplements()
    {
        return $this->FlightSupplements;
    }
    /**
     * Set FlightSupplements value
     * @param \ArrayType\ArrayOfJP_FlightSupplement $flightSupplements
     * @return \StructType\JP_AdditionalElements
     */
    public function setFlightSupplements(\ArrayType\ArrayOfJP_FlightSupplement $flightSupplements = null)
    {
        $this->FlightSupplements = $flightSupplements;
        return $this;
    }
}
